### Class

# Snapd Task

since: 1.0

#### Description [src]

    final class Snapd.Task : GObject.Object
    {
      /* No available fields */
    }

`SnapdTask` contains progress information for a task in a Snap transaction.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_task_get_data

Get the extra data associated with the progress.

since: 1.66

###### snapd_task_get_id

Get the unique ID for this task.

since: 1.0

###### snapd_task_get_kind

Gets the kind of task this is.

since: 1.0

###### snapd_task_get_progress_done

Get the the number of items completed in this task.

since: 1.0

###### snapd_task_get_progress_label

Get the the label associated with the progress.

since: 1.5

###### snapd_task_get_progress_total

Get the the total number of items to be completed in this task.

since: 1.0

###### snapd_task_get_ready

Get if this task is completed.

deprecated: 1.5 since: 1.0

###### snapd_task_get_ready_time

Get the time this task completed or `NULL` if not yet completed.

since: 1.0

###### snapd_task_get_spawn_time

Get the time this task started.

since: 1.0

###### snapd_task_get_status

Get the status of the task.

since: 1.0

###### snapd_task_get_summary

Get a human readable description of the task.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Task:data

No description available.

###### Snapd.Task:id

No description available.

###### Snapd.Task:kind

No description available.

###### Snapd.Task:progress-done

No description available.

###### Snapd.Task:progress-label

No description available.

###### Snapd.Task:progress-total

No description available.

###### Snapd.Task:ready

No description available.

###### Snapd.Task:ready-time

No description available.

###### Snapd.Task:spawn-time

No description available.

###### Snapd.Task:status

No description available.

###### Snapd.Task:summary

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdTaskClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.